# James Peret Website 2020

A new updated version of James Peret's landing page, portfolio and blog. Before there was only a landing page and a separete blog. Now everything is one system.

Based on [Hexo](http://hexo.io) for building the static website.

### To Do's

- [ ] Website Tasks
  
  - [x] Better home page posts 
  
  - [ ] Projects page header
  
  - [ ] Projects page list view
  
  - [ ] Featured projects button
  
  - [ ] **About page content**
  
  - [ ] Add nav links to home page header
  
  - [ ] Filter projects using URL parameters
  
  - [ ] Project action links button in card and list view
  
  - [ ] Disqus comments
  
  - [ ] Syntax highlight
  
  - [ ] Tags and category links
  
  - [ ] Tag list filter button in projects page
  
  - [x] Move video resizing script outside of page body

- [ ] System Tasks
  
  - [x] **Don't copy projects with missing requirements**
  
  - [x] **Thumbnail and hero images are stored in project folder**
  
  - [ ] **Publish upload script**
  
  - [ ] Contact form sends email
  
  - [ ] **Screenshot thumbnail resizing**
  
  - [ ] **Project downloadable files**
  
  - [ ] redirect to jamesperet.j1x.co
  
  - [ ] video link test requirement
  
  - [ ] SEO basics

- [ ] Update Content
  
  - [ ] Add Lifeless Biomachine videos
  
  - [ ] Fix Vinheta Lav video embed
  
  - [ ] Cyberpunk Detective files
  
  - [ ] Cyberpunk Detective description
  
  - [ ] Rebel Elite hero image
  
  - [ ] Rebel Elite screenshots
  
  - [ ] BattleScape hero image
  
  - [ ] BattleScape screenshots
  
  - [ ] Add project vertentes.tv
  
  - [ ] Add project whois-server
  
  - [ ] Add project auto-video
  
  - [ ] Add project sozinho
  
  - [ ] Add project o-outro
  
  - [ ] Add project alo
  
  - [ ] Fix solar-wave project data
  
  - [x] Fix star-fighter project data
  
  - [ ] Add project Julgamento Absurdista
  
  - [ ] Add project Anarco-experimentalismo

### Extras

- [ ] Couch mode view

- [ ] Timeline view

- [ ] Large list view

- [ ] Subprojects

- [ ] Video thumbnails

- [ ] Betabot integration

- [ ] Date period filter in projects

- [ ] Linked blog posts in projects

- [ ] Linked projects in blog posts
